
//

//CTile.h


/*******************************************************
//
//	Name: CTile.h
//
//	Author: Dave Ratti
//
//	Date:6-06-01
//
//	Modified: Constantly
//
//	Notes: Simple Tile
//
//
//
//
//
*********************************************************/

#ifndef CTile_H_
#define CTile_H_

#include "stringc.h"
#include "CGraphicSystem.h"
#include "CImage.h"
#include "Assert.h"
#include "CGameObject.h"
#include "CImageManager.h"
#include "CConsole.h"



/////////////////////////////////////////////////////////


class CTile: public CGameObject
{

public:

	CTile(){ Clear(); }
	~CTile(){ };

	void Clear();
	void Init(STRINGC _image, int x, int y);	//image name

	void Draw();	
	void setAnchor(POINT p) ;
	void DrawSelection(CImage* image);		//draws a selection box around the tile
	void Scroll(POINT p);

	POINT worldCords;
	POINT mapCords;
	RECT worldRect;

	CImage* image;
	
	//properties, etc		
	void setOverlay(CImage* img){ overlay = img; }
	bool isGreen;

	CImage* overlay;

protected:

	bool NeedToDraw();
	
	


};


#endif

